summaryrefslogtreecommitdiff
path: root/resources/scripts/update/blobs/download
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-08-23 19:56:01 +0100
committerLeah Rowe <leah@libreboot.org>2023-08-23 21:34:02 +0100
commit4c6c7d1088eb9dc0c9b2eeeb64febeeb78038583 (patch)
tree1966a4f85069b3dd3e214d9724dcc0f059d1e6de /resources/scripts/update/blobs/download
parent52f3fd359e04caf9dd7bc89889dfc326f5ae9352 (diff)
scripts: never exit 1, always call err instead
this same change has been applied, selectively, to certain return statements. the general rule is this: the return statement should only be used to direct logic within a script, where certain non-errors states are used to skip certain actions; the exit command should *never* be used to return non-zero, except by err(). in so doing, we ensure easier debugging of the build system also: strip_rom_image in build/release/roms was running "continue" when a rom file didn't exist, despite not being a while/for loop. i make it return (non-error condition) instead it's ok for a script to exit 0, where appropriate, but perhaps a function could also be written for it Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'resources/scripts/update/blobs/download')
-rwxr-xr-xresources/scripts/update/blobs/download10
1 files changed, 6 insertions, 4 deletions
diff --git a/resources/scripts/update/blobs/download b/resources/scripts/update/blobs/download
index 9d623604..c1babd13 100755
--- a/resources/scripts/update/blobs/download
+++ b/resources/scripts/update/blobs/download
@@ -237,7 +237,7 @@ bruteforce_extract_blob_intel_me()
(
printf "Entering %s\n" "${cdir}"
- cd "${cdir}" || exit 1
+ cd "${cdir}" || err "cannot enter directory, ${cdir}"
for i in *; do
if [ -f "${_me_destination}" ]; then
# me.bin found, so avoid needless further traversal
@@ -406,7 +406,8 @@ extract_sch5545ec()
mkdir -p "${appdir}/"
cp "${dl_path}" "${appdir}/"
- python "${pfs_extract}" "${appdir}/${dlsum}" -e || exit 1
+ python "${pfs_extract}" "${appdir}/${dlsum}" -e || \
+ err "cannot extract archive (dell, sch5545)"
# full system ROM (UEFI), to extract with UEFIExtract:
_bios="${appdir}/${dlsum}_extracted/Firmware"
@@ -418,9 +419,10 @@ extract_sch5545ec()
_sch5545ec_fw="${_sch5545ec_fw}/0 Raw section/body.bin" # <-- this!
# this makes the file defined by _sch5545ec_fw available to copy
- "${uefiextract}" "${_bios}" || exit 1
+ "${uefiextract}" "${_bios}" || err "cannot extract dell uefi image"
- cp "${_sch5545ec_fw}" "${_sch5545ec_destination}" || exit 1
+ cp "${_sch5545ec_fw}" "${_sch5545ec_destination}" || \
+ err "cannot copy sch5545ec firmware file"
}
fetch_update()